using System;
using FooTheory.CodeCamp.DI.Domain;
using FooTheory.CodeCamp.DI.Interfaces.DataAccess;
using FooTheory.CodeCamp.DI.Interfaces.Domain;

namespace FooTheory.CodeCamp.DI.DataAccess
{
    public class RandomCustomerRepository : ICustomerRepository
    {
        public ICustomer GetFrom(int id)
        {
            string val = null; 
            Random random = new Random();
            for (int i = 0; i < id; i++)
            {
                val += random.Next(id).ToString(); 
            }
            return new Customer(val, random.Next(55), random.Next(10000)); 
        }
    }
}