using FooTheory.CodeCamp.DI.Interfaces.Domain;

namespace FooTheory.CodeCamp.DI.Domain
{
    public class Customer : ICustomer
    {
        private string name;
        private int id;
        private int age;

        public Customer(string name, int id, int age)
        {
            this.name = name;
            this.id = id;
            this.age = age; 
        }

        #region ICustomer Members

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        public int Age
        {
            get { return age;  }
            set { age = value; }
        }

        public bool IsCustomerOfValidAge
        {
            get
            {
                if(Age >= 18)
                    return true;
                return false; 
            }
        }

        #endregion

        #region IDomainObject Members

        public int Id
        {
            get { return id; }
            set { id = value; }
        }

        #endregion
    }
}