using System.Data;
using FooTheory.CodeCamp.DI.Domain;
using FooTheory.CodeCamp.DI.Interfaces.DataAccess;
using FooTheory.CodeCamp.DI.Interfaces.Domain;

namespace FooTheory.CodeCamp.DI.DataAccess
{
    public class CustomerRepository : ICustomerRepository
    {
        public ICustomer GetFrom(int id)
        {
            // Return a fake customer, this would normally come from a database
            // but for this example we're just going to create a fake one. 
            return new Customer("Fooey Barson", id, 11); 
        }
    }
}