using FooTheory.CodeCamp.DI.Interfaces.Domain;
using FooTheory.CodeCamp.DI.Interfaces.DTO;
using FooTheory.CodeCamp.DI.Interfaces.Services.Mappers;

namespace FooTheory.CodeCamp.DI.Services.Mappers
{
    public class CustomerDTOMapper : ICustomerDTOMapper
    {

        public CustomerDTO MapFrom(ICustomer input)
        {
            return new CustomerDTO(input.Name, input.Id, input.Age);
        }

    }
}